### CollectRnaSeqMetrics

USAGE: CollectRnaSeqMetrics [options]

Program to collect metrics about the alignment of RNA to various functional classes of loci in the genome: coding, intronic, UTR, intergenic, ribosomal.

Also determines strand-specificity for strand-specific libraries.

Option | Description
--- | ---
REF_FLAT=File | Gene annotations in refFlat form. Format described here: http://genome.ucsc.edu/goldenPath/gbdDescriptionsOld.html#RefFlat Required.
RIBOSOMAL_INTERVALS=File | Location of rRNA sequences in genome, in interval_list format. If not specified no bases will be identified as being ribosomal. Format described here: http://picard.sourceforge.net/javadoc/net/sf/picard/util/IntervalList.html Default value: null.
STRAND_SPECIFICITY=StrandSpecificity | For strand-specific library prep. For unpaired reads, use FIRST_READ_TRANSCRIPTION_STRAND if the reads are expected to be on the transcription strand. Required. Possible values: {NONE, FIRST_READ_TRANSCRIPTION_STRAND, SECOND_READ_TRANSCRIPTION_STRAND}
MINIMUM_LENGTH=Integer | When calculating coverage based values (e.g. CV of coverage) only use transcripts of this length or greater. Default value: 500. This option can be set to 'null' to clear the default value.
CHART_OUTPUT=File | The PDF file to write out a plot of normalized position vs. coverage. Default value: null.
IGNORE_SEQUENCE=String | If a read maps to a sequence specified with this option, all the bases in the read are counted as ignored bases. These reads are not counted as This option may be specified 0 or more times.
RRNA_FRAGMENT_PERCENTAGE=Double | This percentage of the length of a fragment must overlap one of the ribosomal intervals for a read or read pair by this must in order to be considered rRNA. Default value: 0.8. This option can be set to 'null' to clear the default value.
METRIC_ACCUMULATION_LEVEL=MetricAccumulationLevel | The level(s) at which to accumulate metrics. Possible values: {ALL_READS, SAMPLE, LIBRARY, READ_GROUP} This option may be specified 0 or more times. This option can be set to 'null' to clear the default list.
INPUT=File | Input SAM or BAM file. Required.
OUTPUT=File | File to write the output to. Required.
REFERENCE_SEQUENCE=File | Reference sequence fasta Default value: null.
ASSUME_SORTED=Boolean | If true (default), then the sort order in the header file will be ignored. Default value: true. This option can be set to 'null' to clear the default value. Possible values: {true, false}
STOP_AFTER=Integer | Stop after processing N reads, mainly for debugging. Default value: 0. This option can be set to 'null' to clear the default value.